use mytools;
DROP PROCEDURE IF EXISTS double_number;

DELIMITER //
CREATE PROCEDURE double_number(IN N INT, INOUT result INT)
BEGIN
  SET result := N * 2;
END //

DELIMITER ;
SET @result=0;
Call double_number(10,@result);
SELECT @result;
Call double_number(17,@result);
SELECT @result;

